Edit website
Edit an existing Hostinger Horizons website with a follow-up message.\n Use this tool when the user wants to change, extend or fix a website that already exists.\n This tool queues the requested…
Edit an existing Hostinger Horizons website with a follow-up message.\n Use this tool when the user wants to change, extend or fix a website that already exists.\n This tool queues the requested changes and returns the website URL and ID. The changes are applied asynchronously.\n After invoking this tool, your chat reply must be EXACTLY 1 sentence summarizing that Hostinger Horizons is now applying the requested changes and they will be ready in a few minutes, and you should provide the website URL to the user immediately. Do not write code.\n If the tool call fails with an error, you should provide a clear explanation of the error and do not generate code yourself in the chat.
API Token authentication
The website ID
123e4567-e89b-12d3-a456-426614174000Success response
The website URL for the user to access their website in Hostinger Horizons interface
https://horizons.hostinger.com/123e4567-e89b-12d3-a456-426614174000?location=chatgptThe website ID
123e4567-e89b-12d3-a456-426614174000Unauthenticated response
Validation error response
Error response
POST /api/horizons/v1/websites/{websiteId}/messages HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 115
{
"message": [
{
"type": "text",
"text": "Add a testimonials section below the menu and make the hero background green"
}
]
}{
"website_url": "https://horizons.hostinger.com/123e4567-e89b-12d3-a456-426614174000?location=chatgpt",
"website_id": "123e4567-e89b-12d3-a456-426614174000"
}Last updated
Was this helpful?